Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet
Class PortletContext

    java.lang.Object
      org.jboss.portal.portlet.PortletContext

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StatefulPortletContext

    public class PortletContext

extends java.lang.Object
implements java.io.Serializable

Since:
  2.6
Version:
  $Revision: 6890 $
Author:
  Julien Viet, Chris Laprun
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id` .

Method Summary
`static PortletContext` | `createPortletContext(java.lang.String portletId)`
`static PortletContext` | `createPortletContext(java.lang.String id, byte[] state)` Create a PortletContext based on id and optional state.
`static PortletContext` | `createStatefulPortletContext(java.lang.String id, byte[] state)` Create a PortletContext based on given id and required state: this method will fail if state is not valid.
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getId()`
`byte[]` | `getState()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected final java.lang.String id

  .

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getId

    public java.lang.String getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getState

    public byte[] getState()

### createPortletContext

    public static PortletContext createPortletContext(java.lang.String id,
                                                      byte[] state)

  Create a PortletContext based on id and optional state.

  Parameters:
    `id` - the portlet id
    `state` - the optional state
  Returns:
    a new PortletContext based on the provided information

### createStatefulPortletContext

    public static PortletContext createStatefulPortletContext(java.lang.String id,
                                                              byte[] state)

  Create a PortletContext based on given id and required state: this method will fail if state is not valid. Use this method instead of `createPortletContext(String,byte[])` for cases when a state is expected and the creation of the PortletContext should fail if no state was given.

  Parameters:
    `id` - the portlet id
    `state` - the mandatory state
  Returns:
    a new PortletContext

### createPortletContext

    public static PortletContext createPortletContext(java.lang.String portletId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.